Object subclass: #Alumno
	instanceVariableNames: 'padron'
	classVariableNames: ''
	package: 'AlgoNumerosComplejos'!

!Alumno methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:24'!
padron: unPadron 
	padron := unPadron .! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:28'!
tienePadronPar
	^padron even.! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:43'!
clonar
	^self deepCopy.! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:30'!
padron
	^ padron! !


Object subclass: #AlumnosConPadronPar
	instanceVariableNames: 'alumnos'
	classVariableNames: ''
	package: 'AlgoNumerosComplejos'!

!AlumnosConPadronPar methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:36'!
cantidadDeAlumnos
	^alumnos size.! !

!AlumnosConPadronPar methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:53'!
agregar: anAlumno 
	(anAlumno tienePadronPar) ifTrue: [ 
		alumnos add: (anAlumno clonar).	
	].

! !

!AlumnosConPadronPar methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:25'!
initialize 
	alumnos := OrderedCollection new.! !

!AlumnosConPadronPar methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:28'!
cuantos
	^alumnos count: [ :a | a tienePadronPar ].! !


Object subclass: #NumeroComplejo
	instanceVariableNames: 'parteReal parteImaginaria'
	classVariableNames: ''
	package: 'AlgoNumerosComplejos'!

!NumeroComplejo methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 20:54'!
parteReal: unParteReal parteImaginaria: unaParteImaginaria 
	parteReal := unParteReal.
	parteImaginaria := unaParteImaginaria.! !

!NumeroComplejo methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 21:01'!
angulo
	^(parteImaginaria  / parteReal ) arcTan.! !

!NumeroComplejo methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 20:53'!
parteReal
	^ parteReal! !

!NumeroComplejo methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 20:56'!
modulo
	^((parteReal ** 2) + (parteImaginaria ** 2)) sqrt.! !

!NumeroComplejo methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 20:53'!
parteImaginaria
	^ parteImaginaria! !


Object subclass: #Zapatilla
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'AlgoNumerosComplejos'!

!Zapatilla methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 22:08'!
padron
	^0.! !

!Zapatilla methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 22:07'!
tienePadronPar
	^true.! !

!Zapatilla methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 22:08'!
padron: anInteger 
! !

!Zapatilla methodsFor: 'as yet unclassified' stamp: 'DS 4/22/2021 22:07'!
clonar
	^self.! !
